For Developers

List Applications

GET https://ed.link/api/v2/teams/:team_id/applications

Returns all applications owned by the team, ordered by sequence. Each application is a model-shaped MikroORM Application entity.

Requires applications.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/applications`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "035d6dd6-1569-47b2-8ed8-63435be58078",
            "created_date": "2023-01-10T16:00:00.000Z",
            "updated_date": "2025-03-22T11:45:00.000Z",
            "name": "My Learning App",
            "state": "released",
            "description": "An Edlink-connected learning platform",
            "icon_url": "/apps/my-learning-app/icon.png",
            "sso_enabled": true,
            "origin": "https://app.example.com"
        }
    ]
}
  • POST /api/v2/teams/:team_id/applications — Create a new application